# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/rtc/andestech,atcrtc100.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Andes ATCRTC100 Real-Time Clock

maintainers:
  - CL Wang <cl634@andestech.com>

allOf:
  - $ref: rtc.yaml#

properties:
  compatible:
    enum:
      - andestech,atcrtc100

  reg:
    maxItems: 1

  interrupts:
    items:
      - description: Periodic timekeeping interrupt
      - description: RTC alarm interrupt

required:
  - compatible
  - reg
  - interrupts

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    rtc@f0300000 {
        compatible = "andestech,atcrtc100";
        reg = <0xf0300000 0x100>;
        interrupts = <1 IRQ_TYPE_LEVEL_HIGH>, <2 IRQ_TYPE_LEVEL_HIGH>;
    };
